# DataTurbine UDP Caster

# rbnbUDPCaster

# User Manual

## V1.1

## October 2, 2007

## Copyright, Creare Inc.

# Table Of Contents

> ### Introduction

> > Overview
> > Setup and Startup

> ### Menu Bar

> > F ile

> ### User Interface Fields

> > RBNB address
> > RBNB channel
> > Select Chan...
> > Recipients (comma-delim list)
> > Stream RBNB data
> > Number of RBNB frames fetched
> > Timestamp of last RBNB frame

> ###

# Introduction

## Overview

rbnbUDPCaster is a Java application which fetches data from a DataTurbine channel and writes the data out as UDP packets to one or more specified recipient addresses. The following figure illustrates a sample rbnbUDPCaster user interface window:

## Setup and Startup

rbnbUDPCaster needs to be run under a Java Virtual Machine (JVM). rbnbUDPCaster has the following optional command-line arguments:

Option | Description
`-a <DataTurbine host:port>` | Specifies DataTurbine to which to connect; defaults to "localhost:3333".
`-c <DataTurbine channel>` | Specifies the DataTurbine channel to which to subscribe; no default value.
-h | Print a help message displaying the command-line options.
-o | Stream from oldest.
`-r <host:port list>` | Comma-delimited list of host:port recipients (specifies where to send the UDP packets); defaults to "localhost:5555".
`-s <local socket port>` | Specifies the local socket port to use to send out UDP packets; defaults to 3456. In most cases, it is best to allow the system to automatically select the local socket port. If a local port is specified on the command line, the system will attempt to use that port. However, if that port is already in use, the system will automatically select a different port.
-x | Auto-start on launch (make RBNB connection and establish subscription).

Here is a sample command line:`
`
`java -jar udpcaster.jar -a localhost:3333 -c mySource/foo -r bighost:5555,localhost:4444 -s 3456`
``

# Menu Bar

rbnbUDPCaster has the following pull-down menu.

## File

The File pull-down menu provides selections for opening and closing the DataTurbine connection and for exiting the application.

Open

The following actions are performed:
1. Open a connection to the DataTurbine at the address specified in the RBNB address field.
2. Subscribe to data stored in the channel specified by the RBNB channel field.
3. Fetch data from the DataTurbine either From oldest or From newest as specified
by the radio button selection..
4. Each data block fetched from the DataTurbine will be sent as a UDP packet to the
addresses specified in the Recipients field.

Close | The following actions are performed: 1. Stop fetching data from the DataTurbine. 2. Close the connection to the DataTurbine.
Exit | Close the DataTurbine connection and exit program.

# User Interface Fields

## RBNB address

Specify the host and port of the DataTurbine to which to connect. For example, enter "localhost:3333" (without the quotes) to specify to connect the DataTurbine running on the local machine at port 3333.

## RBNB channel

Specify the DataTurbine channel to which to subscribe - that is, which channel to fetch data from. As a convenience, the Select Chan... button may be used to help select the appropriate channel.

## Select Chan...

A convenient method of selecting a DataTurbine channel is provided with the Select Chan... button. Pressing this button pops up a dialog similar to the one shown below. The pull-down list is populated with channels available from the DataTurbine specified in the RBNB address field. Selecting a channel and clicking the OK button copies the desired channel name to the RBNB channel field on the user interface.

## Recipients (comma-delim list)

A comma-delimited list of hosts and ports where to send the UDP packets. For example, enter "localhost:5555" (without the quotes) to specify to send UDP packets to the local machine's socket port 5555. As another example, enter "`bighost:5555,localhost:4444" (without the quotes) to specify to send UDP packets to both bighost:5555 and localhost:4444.`

## Stream RBNB data

Specify the starting point for fetching data from the DataTurbine channel. There are two options: From oldest and From newest. Selecting From oldest begins fetching at the oldest available data in the DataTurbine channel. Selecting From newest will start fetching data with the next frame put into the specified channel.

## Number of RBNB frames fetched

Displays the number of data fetches that have been completed since the user opened the DataTurbine connection.

## Timestamp of last RBNB frame

Displays the timestamp of the last frame fetched from the DataTurbine.